System.Security 2.0.0.0 4.0.0.0 System.Security.Cryptography.Pkcs.Pkcs9AttributeObject

A signing time attribute is also available in CAPICOM. See CAPICOM_ATTRIBUTE.

The class defines the signing date and time of a signature. A object can be used as an authenticated attribute of a object when an authenticated date and time are to accompany a digital signature.

- Constructor
  2.0.0.0
  4.0.0.0

  The class has the following default property values.

  Property

  Default value

  The current date and time

  If you want to specify a specific date and time for the object, use the constructor.

  The constructor creates an instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  The constructor creates an instance of the class by using the specified array of byte values as the encoded signing date and time of the content of a CMS/PKCS #7 message.

  An array of byte values that specifies the encoded signing date and time of the CMS/PKCS #7 message.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  The constructor creates an instance of the class by using the specified signing date and time.

  A structure that represents the signing date and time of the signature.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method replaces the current object with the specified object.

  Copies information from a object.

  The object from which to copy information.
- Property
  2.0.0.0
  4.0.0.0
  System.DateTime To be added. To be added.

  The property retrieves a structure that represents the date and time that the message was signed.